Class | Spec::Mocks::LiteralArgConstraint
In: | lib/spec/mocks/argument_expectation.rb
Parent: | Object

### Methods

matches? new

### Public Class methods

new(literal)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 15
    15:       def initialize(literal)
    16:         @literal_value = literal
    17:       end

### Public Instance methods

matches?(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 19
    19:       def matches?(value)
    20:         @literal_value == value
    21:       end

[Validate]